> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a workspace flow

> Retrieve a single flow by its numeric ID. Use the returned `inputs` array to discover the required parameter names when calling `POST /v1/flows/{flow_id}/run`.



## OpenAPI

````yaml GET /v1/flows/{flow_id}
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/flows/{flow_id}:
    get:
      tags:
        - Flows
      summary: Get a workspace flow
      description: >-
        Retrieve a single flow by its numeric ID. Use the returned `inputs`
        array to discover the required parameter names when calling `POST
        /v1/flows/{flow_id}/run`.
      operationId: get_flow_v1_flows__flow_id__get
      parameters:
        - name: flow_id
          in: path
          required: true
          schema:
            type: integer
            title: Flow ID
          description: Numeric ID of the flow
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Flow details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Flow'
              example:
                id: 1
                name: Enrich company from domain
                description: >-
                  Takes a domain and returns company name, industry and
                  headcount.
                inputs:
                  - id: domain
                    description: Company domain
                    type: text
                    required: true
                outputs:
                  - id: company_name
                    response_field_id: 42
                  - id: industry
                    response_field_id: 43
                  - id: headcount
                    response_field_id: 44
                created_at: '2026-01-10T09:00:00Z'
                updated_at: '2026-03-15T14:22:00Z'
        '403':
          description: Forbidden
        '404':
          description: Flow not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Flow:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/FlowInput'
          title: Inputs
        outputs:
          type: array
          items:
            $ref: '#/components/schemas/FlowOutput'
          title: Outputs
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - name
        - description
        - inputs
        - outputs
        - created_at
        - updated_at
      title: Flow
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowInput:
      properties:
        id:
          type: string
          title: Id
          description: >-
            Unique identifier for this input (used as key in the `inputs` map
            when running the flow).
        description:
          type: string
          title: Description
        type:
          type: string
          title: Type
          description: Data type of the input, e.g. `text`.
        required:
          type: boolean
          title: Required
      type: object
      required:
        - id
        - description
        - type
        - required
      title: FlowInput
    FlowOutput:
      properties:
        id:
          type: string
          title: Id
        response_field_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Field Id
      type: object
      required:
        - id
      title: FlowOutput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````